/*
 * Copyright (c) 1994 Hellmuth Michaelis
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *
 * @(#)ups.h, 1.00, Last Edit-Date: [Tue Aug  9 14:53:52 1994]
 *
 */

/*---------------------------------------------------------------------------*
 *
 *	Uninteruptable Power Supply driver header file
 *	----------------------------------------------
 *
 *	Hellmuth Michaelis, hm@hcshh.hcs.de
 *
 *	last edit-date: [Fri Aug  5 15:23:52 1994]
 *
 *	-hm	driver skeleton
 *	-hm	integration into FreeBSD
 *	-hm	header file
 *
 *---------------------------------------------------------------------------*/

/* lock-file to protect against multiple invocations */

#define UPSDPIDLOCK	"/var/run/upsd.pid"

/* device to get status from */

#define UPSDEVICE	"/dev/ups"

#define UPSRDEVICE	"/dev/rups"

/* time between ups checks */

#define CHECK_INT	30		/* delay in seconds */

/* max time to stay in powerfail before system shutdown */

#define PF_MAXTIME	600		/* time in seconds */

/* device to attach to when exec progs */

#define CONSOLE		"/dev/console"

/* program to use to alert logged-in users */

#define WALL		"/usr/bin/wall"

/* shell */

#define SHELL		"/bin/sh"

/* file to create for /etc/rc */

#define RCFILE		"/powerfail"

/* message file containing powerfail and powergood message texts */

#define POWERFAIL_FILE	"/etc/powerfail.msg"
#define POWERGOOD_FILE	"/etc/powergood.msg"

/* syslog options */

#define SYSL_IDENT	"upsd"
#define SYSL_OPTION 	(LOG_CONS|LOG_PID|LOG_NDELAY)
#define SYSL_FACILITY	LOG_DAEMON

/* EOF */
