/*
 * Copyright (c) 1994 Hellmuth Michaelis
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *
 * @(#)upskbhit.c, 1.00, Last Edit-Date: [Wed Aug 10 16:43:27 1994]
 *
 */

/*---------------------------------------------------------------------------*
 *
 *	Check if any key pressed by user
 *	--------------------------------
 *
 *	Hellmuth Michaelis, hm@hcshh.hcs.de
 *
 *	last edit-date: [Fri Aug  5 15:23:52 1994]
 *
 *	-hm	for /etc/rc after coming up in powerfail
 *
 *---------------------------------------------------------------------------*/

#include <stdio.h>
#include <unistd.h>
#include <sys/termios.h>

int main()
{
	struct termios t_save;
	struct termios t_new;
	int c;
	int ret;
	
	tcgetattr(0, &t_save);

	t_new = t_save;

	t_new.c_lflag &= ~ICANON;
	t_new.c_lflag &= ~ISIG;
	t_new.c_lflag &= ~ECHO;	
	
	t_new.c_cc[VMIN] = 0;
	t_new.c_cc[VTIME] = 0;
	
	tcsetattr(0, TCSANOW, &t_new);

	if((ret = read(0, &c, 1)) >= 1)
		ret = 0;
	else
		ret = 1;

	tcsetattr(0, TCSANOW, &t_save);
	
	exit(ret);
}	

/* EOF */
